#include "ErrorHelpers.hpp"

namespace ArbUt {
    Exception __ErrorHelpers::CreateEnsureError(const char* exp, const std::source_location& location) {
        std::stringstream error;
        error << "[" << file_name(location.file_name()) << ":" << location.line() << "] ENSURE FAILED: \"";
        error << exp << "\"";
        return Exception(error.str());
    }
}